Page MenuHomePhabricator

Update to Pimple 2.x in Flow broke merge pipelines for Thanks, VisualEditor
Closed, ResolvedPublic

Description

See e.g. https://gerrit.wikimedia.org/r/#/c/194437/ , which now fails with

13:06:34 1) ApiFlowThankTest::testRequestWithoutToken
13:06:34 RuntimeException: Cannot override frozen service "storage".

I suspect this was caused by https://gerrit.wikimedia.org/r/#/c/192608/ . For some reason this only affects the HHVM tests, not the Zend tests, which is why Jenkins didn't prevent this from being merged: Flow does not run its unit tests in HHVM, but Thanks and VE do.

Details

Related Gerrit Patches:
mediawiki/extensions/Thanks : wmf/1.25wmf20Flow container needs to be reset before each test
mediawiki/extensions/Thanks : masterFlow container needs to be reset before each test

Event Timeline

Catrope created this task.Mar 9 2015, 1:23 PM
Catrope assigned this task to EBernhardson.
Catrope raised the priority of this task from to Unbreak Now!.
Catrope updated the task description. (Show Details)
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2015, 1:23 PM

Change 195296 had a related patch set uploaded (by Matthias Mullie):
Don't override existing Pimple container thingy, unset it first

https://gerrit.wikimedia.org/r/195296

Krenair added a subscriber: Krenair.Mar 9 2015, 4:44 PM

Change 195296 merged by jenkins-bot:
Flow container needs to be reset before each test

https://gerrit.wikimedia.org/r/195296

Mattflaschen-WMF closed this task as Resolved.Mar 9 2015, 6:02 PM
Mattflaschen-WMF reassigned this task from EBernhardson to matthiasmullie.

Change 195470 had a related patch set uploaded (by Jforrester):
Flow container needs to be reset before each test

https://gerrit.wikimedia.org/r/195470

Change 195470 merged by Catrope:
Flow container needs to be reset before each test

https://gerrit.wikimedia.org/r/195470

Jdforrester-WMF moved this task from Freezer to Q4 on the VisualEditor board.Apr 16 2015, 9:13 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 16 2015, 9:13 PM
Restricted Application added projects: Growth-Team, User-Ryasmeen. · View Herald TranscriptSep 2 2018, 10:07 AM
Restricted Application added a subscriber: TerraCodes. · View Herald Transcript